<?php
     ini_set("display_errors", "off"); 
	//Código para incluir las librerias
	 include_once("conexion.php");
	 require_once ("../utils/jpgraph/src/jpgraph.php");
	 require_once ("../utils/jpgraph/src/jpgraph_pie.php");	 
	 require_once ("../utils/jpgraph/src/jpgraph_bar.php");
	
	 
	 //Conexión con el servidor
	  $link=ConectarseServidor();

	 //Conexión con la base de datos
	  ConectarseBaseDatos($link);
 
	  
	  //realiza consulta a la base de datos
	  $sql = "select num_dias from forma_pago"; 
      $result=mysql_query($sql,$link);
			
	  //define un arreglo
	  $datos = array(); 
	  
	  
      //obtiene los datos (peso)
      while ($row = mysql_fetch_array($result)){
         $datos[] = $row['num_dias']; //almacenas en un array todos los resultados 

      }//fin del while  
		
	 
 
    //****************************************************
	//GENERAR GRAFICO DE BARRAS
	//****************************************************

		$grafica = new Graph(500, 400);
		$grafica->img->SetMargin(50,40,20,0);

		/*Define el tipo de escala que va a utilizar y el
		valor minimo y maximo para el eje y*/
		$grafica->SetScale("textlin", 0, 150);

		// Asigna el titulo de la gráfica
		$grafica->title->Set("Estadísticas IMC");
		
		//Asigna el titulo y la alineacion para el eje y
		$grafica->yaxis->SetTitle("Peso","middle");

		//Define una serie, en este caso para un grafico de barras		
		//$datos es el arreglo que obtiene la informacion de la base de datos
		$imc 	  = new BarPlot( $datos );
		
		//Asigna la leyenda para la serie
		$imc->SetLegend('Peso IMC');
		
		//agrega el grafico
		$grafica->Add($imc);
		
		//Muestra el grafico
		$grafica->Stroke();
	
	//****************************************************
 


	
	 //libera memoria
	 mysql_free_result ($result);

		
	 	
?>